Bug 477696 - ca-bundle breaks bi-driectional http authentication
ca-bundle breaks bi-driectional http authentication
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ca-certificates (Show other bugs)
10
All Linux
low Severity low
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-22 17:50 EST by Ray Todd Stevens
Modified: 2009-12-18 02:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:22:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
this is the file that works (545.00 KB, application/octet-stream)
2008-12-22 17:50 EST, Ray Todd Stevens
no flags Details
the ssl.conf file for etc/httpd/conf.d (2.84 KB, text/plain)
2009-01-02 12:15 EST, Ray Todd Stevens
no flags Details
virtual host file for ssl (7.38 KB, text/plain)
2009-01-02 12:20 EST, Ray Todd Stevens
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 46952 None None None Never

  None (edit)
Description Ray Todd Stevens 2008-12-22 17:50:44 EST
Created attachment 327710 [details]
this is the file that works

Description of problem:

OK this may be a bit esoteric, but I have an application that uses client certificates for ssl on apache.    The upgrade to fc10 breaks it.   After much testing I find that if I use the ca-bundle from the previous version, then everything starts working again.

The problem actually appears as an interface problem between IE and apache.   If you connect to http://www.example.com/ everything works.   If you connect to https://www.example.com/ without this client authentication, everything works.   BUT if you

a turn on SSLVerifyClient
b. use Internet Explorer
c. use a free thawte email certificate

It acts like if can't do a dns lookup of the web site.

Changing the /etc/pki/tls/certs/ca-bundle.crt file for the previous one fixes the problem and everything starts working again.
Comment 1 Joe Orton 2009-01-02 11:53:50 EST
Please attach the mod_ssl configuration which you're using.
Comment 2 Ray Todd Stevens 2009-01-02 12:05:09 EST
I assume you are talking about the httpd.conf file I guess.  There are a couple of other files that this might be.  I will try and get you copies of the whole thing.   PS this problem actually exists on three machines, so I will only be sending you the files from one to same some space, but if you want something from all three I will be glad to provide it.
Comment 3 Ray Todd Stevens 2009-01-02 12:15:29 EST
Created attachment 328081 [details]
the ssl.conf file for etc/httpd/conf.d

Note that this is minus the virutal host things.   These servers have multiple virtual hosts on multiple ips, so for sake of more modular design the virtual host stuff is in seperate files.  I will send you a sample of this next.   This will only be a sample,  three severs with 2-9 virtual hosts per server is a lot of data, so unless you need all of them, which I doubt because they all work alike, I am only sending you the one.
Comment 4 Ray Todd Stevens 2009-01-02 12:20:17 EST
Created attachment 328082 [details]
virtual host file for ssl

Here is the virtual host file for a sample.  I have removed the host name and will be sending that to you seperately in case you need it.
Comment 5 Ray Todd Stevens 2009-01-02 19:01:00 EST
Comment on attachment 328081 [details]
the ssl.conf file for etc/httpd/conf.d

making it into text
Comment 6 Ray Todd Stevens 2009-01-02 19:03:25 EST
The offending line is at the bottom of the vh file

SSLVerifyClient optional_no_ca

If this is commented out then everything works with the existing bundle.  But anything else causes the problem.    

Also note that we are using the free thwate email certificates.
Comment 7 Ray Todd Stevens 2009-01-17 21:53:42 EST
OK I found another application that this breaks.   This breaks sendmail 465 level authentication.   There definitely seems to be a problem here.
Comment 8 Joe Orton 2009-01-19 08:07:32 EST
See bug 479484 for more info on this in the sendmail context.

It could well be that there is a buggy Microsoft SSL implementation common to both problems, if you're only seeing this with MSIE/Outlook clients.
Comment 9 Joe Orton 2009-01-19 08:09:13 EST
It would be really useful if you could try a process similar to the reporter in the sendmail bug:

1) take a copy of ca-bundle.crt and configure mod_ssl to use that
2) remove a cert from the beginning
3) test
4) goto 2 if test fails

to see if this is a similar number-of-certs-in-the-list issue.
Comment 10 Ray Todd Stevens 2009-01-19 08:20:28 EST
Interesting, but the ms bug is not applicable.

a.   was never using MSIE and Outlook.
b.   The same problem exists going fedora to fedora.

However other than this the symptoms reported by the first reporter of this bug are the same with one one possible exception.   Don't know if he is using port 465 tls authentication.   But I would bet that he is.   I am wondering if these are indeed the same bug and that the comment on the bug in MS is not a red herring.
Comment 11 Ray Todd Stevens 2009-01-25 15:33:01 EST
This also breaks palm access to email
Comment 12 Joe Orton 2009-01-26 05:59:46 EST
Have you managed to try the process in comment 9 for any additional case which breaks?
Comment 13 Ray Todd Stevens 2009-01-26 07:38:57 EST
Used the old ca bundle and that worked.

The comment as I understood it was in reference to a microsoft bug, and once again this is not involving a ms operating system.
Comment 14 Joe Orton 2009-06-23 04:47:19 EDT
Would anybody seeing this bug be willing to test out some experimental mod_ssl+OpenSSL packages?

There is a bug being tracked upstream with very similar symptoms, which is caused by a bug in OpenSSL+mod_ssl.
Comment 15 Joe Orton 2009-06-23 04:47:53 EDT
(if anybody is willing, please state what Fedora version)
Comment 16 Bug Zapper 2009-11-18 07:42:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-12-18 02:22:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.